const commandAddException = require('./commands/commandAddException.js')
const commandRemoveException = require('./commands/commandRemoveException.js')
const commandListException = require('./commands/commandListException.js')

class command {
  constructor () {
    this.commands = [
      new commandAddException(),
      new commandRemoveException(),
      new commandListException()
    ]
  }

  getCommands () {
    return this.commands
  }

  getCommand (name) {
    for (const c of this.commands) {
      if (c.name === name)
        return c
    }
  }
}

module.exports = command