const fs = require('fs')

const command = require('./command.js')

class commandListException extends command {
  constructor () {
    super('list', [
      [],
    ])
  }

  execute (sender, parameter) {
    return new Promise((resolve, reject) => {
      fs.readFile('./exception.txt', (err, data) => {
        if (err) {
          console.log(err)
        }
  
        if (data == '') {
          resolve('예외 목록이 없습니다.')
        } else {
          resolve('예외 목록:\n' + data)
        }
      })
    })
  }
}

module.exports = commandListException