const fs = require('fs')

const command = require('./command.js')

class commandRemoveException extends command {
  constructor () {
    super('on', [
      ['string'],
      []
    ])
  }

  execute (sender, parameter) {
    let target = null

    let i = 0
    for (const compare of this.parameter) {
      const receive = parameter.map(e => {
        return typeof e
      })
      
      if (compare.sort().toString() === receive.sort().toString()) {
        switch(i) {
          case 0:
            target = parameter[0]
            break
          case 1:
            target = sender
            break
        }
      }

      i++
    }

    return new Promise((resolve, reject) => {
      fs.readFile('./exception.txt', (err, data) => {
        if (err)
          reject(err)
  
        const line = (data + '').split('\r\n')
        let list = ''
        let checker = false
  
        for (const l of line) {
          if (l == target) {
            checker = true
            continue
          }
  
          if (l == '') {
            continue
          }
  
          list += l + '\r\n'
        }
  
        if (checker) {
          fs.writeFile('./exception.txt', list, err => {
            if (err)
              reject(err)
            
            resolve(target)
          })
        } else {
          reject(target)
        }
      })
    })
  }
}

module.exports = commandRemoveException