const jolbonCon = {
  '았': 'CAADBQADVwEAAs69jALqYBB3oD_I_AI',
  '머': 'CAADBQADUwEAAs69jAIpz6K9TdszLgI',
  '방가방가': 'CAADBQADXgEAAs69jAKH6_3VFldpxAI',
  '본의아니게': 'CAADBQADVAEAAs69jALhFpdJOf59vAI',
  'ㅇㅈㄹ': 'CAADBQADVQEAAs69jAK74jqo3SJi6gI',
  '안물': 'CAADBQADVgEAAs69jAKuZzZxHD1oWQI',
  '원격하심시오': 'CAADBQADWAEAAs69jAKignKXf1RwLAI',
  '원격해라': 'CAADBQADYAEAAs69jAJ6xPEXdrx-fQI',
  '장난하심시오': 'CAADBQADWQEAAs69jAITaw22zhKJZwI',
  'ㄴㅈ': 'CAADBQADWgEAAs69jAL-4guoSMWg3wI',
  '졸본특1': 'CAADBQADWwEAAs69jAIuUZPYcZenhQI',
  '졸본특2': 'CAADBQADXwEAAs69jAJGDjeHy6MMWQI',
  '굴복': 'CAADBQADXAEAAs69jALZm-KP1PTDlwI',
  '졸하': 'CAADBQADXQEAAs69jAIyxakUlJpbuwI',
  'ㅗ1': 'CAADBQADPgADwIw_ByR4JlBYvwbhAg',
  'ㅗ2': 'CAADBQADPwADwIw_B0OgzHjNXMzRAg',
  '않이': 'CAADBQADUQEAAs69jAL83BzKgKXJlAI',
  '이응': 'CAADBQADQgADwIw_B9jQJ1o7OAxbAg',
  'ㅇ': 'CAADBQADQwADwIw_B8GCq_QAAXU1jwI',
  '안녕하심시오': 'CAADBQADTQEAAs69jAJH_AWVkFSJIgI',
  '호고곡1': 'CAADBQADUAEAAs69jAJwa9wc-z9b5QI',
  '호고곡2': 'CAADBQADUgEAAs69jALVwyNO5Q7zRgI',
  '나데지마심시오': 'CAADBQADBwADOT4-Df6BbRWaYIHvAg',
  'ㅇㅋ': 'CAADBQADCgADOT4-DWE89ykL8iM0Ag',
  '저항을멈추심시오': 'CAADBQADTwEAAs69jAKJQuU0pNaidgI',
  'php1': 'CAADBQADCAADOT4-DS-baJoxmz-FAg',
  'ㅉㅉ': 'CAADBQADCwADOT4-DRIBcRWTnVq1Ag',
  '졸본왕국': 'CAADBQADDQADOT4-DdgtWKNf1a94Ag',
  'php2': 'CAADBQADQAADwIw_B3OOhpxlb6ZuAg',
  'c': 'CAADBQADQQADwIw_B6N_BEjVSY_bAg',
  '닥치심시오': 'CAADBQADAQADYx2-EK3plO8R_4bOAg'
}

function getSticker (text) {
  switch (text) {
    case '앗': case '았': case '아았': case '아앗':
      return jolbonCon['았']
    case '뭐':
      return jolbonCon['머']
    case '하이': case '졸하': case 'ㅎㅇ': case '졸하이': case '졸하이심시오': case 'ㅎㅇㅎㅇ': case '하이하이':
      return jolbonCon[Math.random() > 0.5 ? '졸하' : '방가방가']
    case '졸본의': case '본의아니계': case '졸본의아니계': case '졸본의아니게': case '본의':
      return jolbonCon['본의아니게']
    case '장난':
      return jolbonCon['장난하심시오']
    case 'ㄵ': case '노잼': case '개노잼':
      return jolbonCon['ㄴㅈ']
    case '졸본특':
      return jolbonCon[Math.random() > 0.5 ? '졸본특1' : '졸본특2']
    case 'ㅗ':
      return jolbonCon[Math.random() > 0.5 ? 'ㅗ1' : 'ㅗ2']
    case '않이':
      return jolbonCon['않이']
    case 'ㅇ': case '응':
      return jolbonCon[Math.random() > 0.5 ? 'ㅇ' : '이응']
    case '안녕':
      return jolbonCon['안녕하심시오']
    case '호고곡':
      return jolbonCon[Math.random() > 0.5 ? '호고곡1' : '호고곡2']
    case '나대지마십시오': case '나대지': case '나데지': case '나대지마': case '나데지마':
      return jolbonCon[Math.random() > 0.2 ? '나데지마심시오' : '졸본왕국']
    case '알겟슴니다': case '알겟읍니다': case '알갯슴니다': case '알갯읍니다':
      return jolbonCon['ㅇㅋ']
    case '원격':
      return jolbonCon[Math.random() > 0.5 ? '원격하심시오' : '원격해라']
    case '저항을': case '저항':
      return jolbonCon['저항을멈추심시오']
    case '성능이': case 'php': case 'pmmp': case 'PMMP': case 'Pmmp':
      return jolbonCon[Math.random() > 0.5 ? 'php1': 'php2']
    case '노답': case 'ㄴㄷ': case 'ㅉㅉ':
      return jolbonCon[Math.random() > 0.5 ? 'ㅉㅉ' : '졸본왕국']
    case 'ㄷㅊ': case '닥쳐': case '닥치라':
      return jolbonCon['닥치심시오']
    default:
      return jolbonCon[text]
  }
}

class sender {
  constructor (bot) {
    this.bot = bot
  }

  sendSticker(id, text, reply) {
    if (text.indexOf(' ') != -1) {
      const phrase = text.split(' ')

      for (const p of phrase) {
        const sticker = getSticker(p)

        if (sticker) {
          this.bot.sendSticker(id, sticker, {
            reply_to_message_id: reply
          })
        }
      }
    } else {
      const sticker = getSticker(text)

        if (sticker) {
          this.bot.sendSticker(id, sticker, {
            reply_to_message_id: reply
          })
        }
    }
  }

  send(id, text, reply) {
    this.bot.sendMessage(id, text, {
      reply_to_message_id: reply
    })
  }
}

module.exports = sender